org.springframework.batch.core.repository.dao

## Class MapExecutionContextDao

- java.lang.Object
- - org.springframework.batch.core.repository.dao.MapExecutionContextDao

- All Implemented Interfaces:
    ExecutionContextDao

  Deprecated.
  as of v4.3 in favor of using the `JdbcExecutionContextDao` with an in-memory database. Scheduled for removal in v5.0.

      @Deprecated
      public class MapExecutionContextDao
      extends java.lang.Object
      implements ExecutionContextDao

  In-memory implementation of `ExecutionContextDao` backed by maps.
  Author:
    Robert Kasanicky, Dave Syer, David Turanski, Mahmoud Ben Hassine

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapExecutionContextDao()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()` Deprecated.
    `ExecutionContext` | `getExecutionContext(JobExecution jobExecution)` Deprecated.
    `ExecutionContext` | `getExecutionContext(StepExecution stepExecution)` Deprecated.
    `void` | `saveExecutionContext(JobExecution jobExecution)` Deprecated. Persist the execution context associated with the given jobExecution, persistent entry for the context should not exist yet.
    `void` | `saveExecutionContext(StepExecution stepExecution)` Deprecated. Persist the execution context associated with the given stepExecution, persistent entry for the context should not exist yet.
    `void` | `saveExecutionContexts(java.util.Collection<StepExecution> stepExecutions)` Deprecated. Persist the execution context associated with each stepExecution in a given collection, persistent entry for the context should not exist yet.
    `void` | `updateExecutionContext(JobExecution jobExecution)` Deprecated. Persist the updates of execution context associated with the given jobExecution.
    `void` | `updateExecutionContext(StepExecution stepExecution)` Deprecated. Persist the updates of execution context associated with the given stepExecution.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MapExecutionContextDao

          public MapExecutionContextDao()

      Deprecated.

  - ### Method Detail

    - #### clear

          public void clear()

      Deprecated.

    - #### getExecutionContext

          public ExecutionContext getExecutionContext(StepExecution stepExecution)

      Deprecated.
      Specified by:
        `getExecutionContext` in interface `ExecutionContextDao`
      Parameters:
        `stepExecution` - `StepExecution` instance that contains the context.
      Returns:
        execution context associated with the given stepExecution

    - #### updateExecutionContext

          public void updateExecutionContext(StepExecution stepExecution)

      Deprecated.
      Description copied from interface: `ExecutionContextDao`
      Persist the updates of execution context associated with the given stepExecution. Persistent entry should already exist for this context.
      Specified by:
        `updateExecutionContext` in interface `ExecutionContextDao`
      Parameters:
        `stepExecution` - `StepExecution` instance that contains the context.

    - #### getExecutionContext

          public ExecutionContext getExecutionContext(JobExecution jobExecution)

      Deprecated.
      Specified by:
        `getExecutionContext` in interface `ExecutionContextDao`
      Parameters:
        `jobExecution` - `JobExecution` instance that contains the context.
      Returns:
        execution context associated with the given jobExecution

    - #### updateExecutionContext

          public void updateExecutionContext(JobExecution jobExecution)

      Deprecated.
      Description copied from interface: `ExecutionContextDao`
      Persist the updates of execution context associated with the given jobExecution. Persistent entry should already exist for this context.
      Specified by:
        `updateExecutionContext` in interface `ExecutionContextDao`
      Parameters:
        `jobExecution` - `JobExecution` instance that contains the context.

    - #### saveExecutionContext

          public void saveExecutionContext(JobExecution jobExecution)

      Deprecated.
      Description copied from interface: `ExecutionContextDao`
      Persist the execution context associated with the given jobExecution, persistent entry for the context should not exist yet.
      Specified by:
        `saveExecutionContext` in interface `ExecutionContextDao`
      Parameters:
        `jobExecution` - `JobExecution` instance that contains the context.

    - #### saveExecutionContext

          public void saveExecutionContext(StepExecution stepExecution)

      Deprecated.
      Description copied from interface: `ExecutionContextDao`
      Persist the execution context associated with the given stepExecution, persistent entry for the context should not exist yet.
      Specified by:
        `saveExecutionContext` in interface `ExecutionContextDao`
      Parameters:
        `stepExecution` - `StepExecution` instance that contains the context.

    - #### saveExecutionContexts

          public void saveExecutionContexts(java.util.Collection<StepExecution> stepExecutions)

      Deprecated.
      Description copied from interface: `ExecutionContextDao`
      Persist the execution context associated with each stepExecution in a given collection, persistent entry for the context should not exist yet.
      Specified by:
        `saveExecutionContexts` in interface `ExecutionContextDao`
      Parameters:
        `stepExecutions` - a collection of `StepExecution`s that contain the contexts.